org.eclipse.zest.layouts

## Class LayoutIterationEvent

- java.lang.Object
- - org.eclipse.zest.layouts.LayoutIterationEvent

    public class LayoutIterationEvent
    extends java.lang.Object

When a layout completes an iteration, it throws this event to allow the application to update. For example, at the end of an iteration is can be assumed the layout has placed each entity into a new location. This event allows the application to update the GUI to represent the new locations

### Constructor Summary

Constructors
Constructor and Description
`LayoutIterationEvent()`

### Method Summary

Methods
`java.util.List` `getEntitiesToLayout()` Return the entities used in this layout.
`int` `getIterationCompleted()` Return the iteration of the layout algorithm that was just completed.
`java.util.List` `getRelationshipsToLayout()` Return the relationships used in this layout.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LayoutIterationEvent

    public LayoutIterationEvent()

### Method Detail

#### getRelationshipsToLayout

    public java.util.List getRelationshipsToLayout()

Return the relationships used in this layout.

#### getEntitiesToLayout

    public java.util.List getEntitiesToLayout()

Return the entities used in this layout.

#### getIterationCompleted

    public int getIterationCompleted()

Return the iteration of the layout algorithm that was just completed.